Décalage Draft

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Offset and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Page précédente: Draft Rotate.svg Rotation
Page suivante: Étendre Draft Trimex.svg Arrow-right.svg

Draft Offset.svg Draft décalage

Emplacement du menu
Draft → Décalage
Ateliers
Draft
Raccourci par défaut
O S
Introduit dans la version
-
Voir aussi
Décalage 2D Part


Description

Cet outil décale l'objet ou les objets sélectionnés à la distance donnée et dans le plan de travail courant. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

Cet outil est généralement utilisé en mode copie pour créer des copies offset d'un tracé de base tout en laissant ce tracé au même endroit. Les copies offset sont des versions mises à l'échelle de l'objet d'origine. Pour créer d'autres copies à l'échelle, utilisez Draft échelle. Pour produire des copies exactes décalées d’une distance, utilisez Draft déplacer.

Draft Offset example.jpg

Offsetting a wire a certain distance from one of its edges


Utilisation

  1. Choisissez un objet à décaler
  2. Appuyez sur le bouton Draft Offset.png Décalage ou les touches O puis S.
  3. Cliquez un point sur la vue 3D, ou saisissez une distance.

La distance utilisée pour créer le décalage est perpendiculaire à l'un des bords de la forme d'origine, en fonction de la position du pointeur. Si le pointeur est rapproché d'un autre bord, ce dernier devient la référence pour la distance. Maintenez la touche Shift pour conserver le bord de référence actuel malgré le rapprochement du pointeur par rapport aux autres.

Options

  • Pressez la touche T ou cliquez sur la case à cocher/décocher Continuer. Si la case est cochée, l'outil offset continue de fonctionner jusqu’à ce que vous ayez fini ou fermé la fonction, ce qui vous permet de décaler ou de copier les objets une autre fois sans pression sur la touche de décalage.
  • Appuyer sur la touche ALT ou C ou en cliquez sur le bouton Copier fera une copie des objets, au lieu de les déplacer. Si vous maintenez la touche ALT enfoncée après avoir cliqué le second point, vous serez en mesure de placer plusieurs exemplaires, jusqu'à ce que vous relâchiez la touche ALT.
  • Pressez la touche CTRL et votre point de sélection sera attiré sur un point d'accrochage (snap) disponible.
  • Pressez la touche SHIFT crée une contrainte sur le segment actuel, au lieu de choisir le segment le plus proche.
  • Pressez la touche ESC ou le bouton Cancel annule l’opération.

Script

L'outil Offset (décalage) peut être par utilisé dans une macros et à partir de la console python en utilisant la fonction suivante :

Offsetobj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
  • La fonction Offset décale le fil donné en appliquant le vecteur donné à son premier sommet.
  • Si copymode est True, un autre objet est créé, sinon l'objet sera déplacé.
  • Si copymode a la valeur True et que le fil est ouvert, l'original et les fils déplacés seront liés par leurs extrémités, formant une face.
  • Si sym est True, le décalage est fait sur les deux côtés, la largeur totale étant la longueur du vecteur donné.
  • Renvoie l'objet décalé ou sa copie.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1500, 2000, 0)
p3 = FreeCAD.Vector(4000, 0, 0)

Wire = Draft.makeWire([p1, p2, p3])

vector = FreeCAD.Vector(0, 500, 0)
Offset_1 = Draft.offset(Wire, vector, copy=True)
Offset_2 = Draft.offset(Wire, 3*vector, copy=True)
Offset_3 = Draft.offset(Wire, 6*vector, copy=True)
Offset_4 = Draft.offset(Wire, 9*vector, copy=True)
Offset_5 = Draft.offset(Wire, 1.5*vector, copy=True, occ=True)
Arrow-left.svg Page précédente: Draft Rotate.svg Rotation
Page suivante: Étendre Draft Trimex.svg Arrow-right.svg